Bug 217646 - Custom Ports shouldn't only be displayed as listed in /etc/services
Summary: Custom Ports shouldn't only be displayed as listed in /etc/services
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-29 04:25 UTC by vfiend
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 09:12:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vfiend 2006-11-29 04:25:33 UTC
Description of problem: Ports are used for lots of non-standard things not
defined in /etc/services. Some way to show the exact port forwarded in the
window would be helpful.


Version-Release number of selected component (if applicable): 1.2.27-1.x86_64


Steps to Reproduce:
1. Open system-config-security-level
2. Forward some ports defined in /etc/services, say 7967 and 8021 (udp or tcp)
3. Close system-config-security-level
4. Open system-config-security-level
5. Decide that you don't want to forward port 8021 anymore and try to delete it.
  
Actual results: 'supercell' and 'intu-ec-svcdisc' are displayed and you need to
find out what port these apply to from /etc/services or google before deleting them.


Expected results: It should be easy to see the data you've entered and delete
the port, like it is before you close and reopen the window.


Additional info: Even worse, try forwarding 7932 (udp or tcp) and 7933 (udp or
tcp) and then reopening the window. They're displayed as the same name because
that's how they're defined in /etc/services, but who knows which is which?

Comment 1 Chris Lumens 2006-12-04 21:05:49 UTC
Agreed on displaying more than just the string.  I'll rework that table a little
bit to display both.  However, 7932 and 7933 are not the same.  7932 is t2-drm,
and 7933 is t2-brm.

Comment 2 vfiend 2006-12-04 23:11:07 UTC
Er, woops, that's true. Either way, it's still an opaque and obscure way of
hiding the data you've entered, so thanks for the acknowledgement.

Comment 3 Thomas Woerner 2007-09-21 09:12:12 UTC
Fixed in rawhide in package system-config-firewall, which replaces
system-config-securitylevel.


Note You need to log in before you can comment on or make changes to this bug.